Bug 25511 - Add --force option to update_dbix_class_files.pl
Summary: Add --force option to update_dbix_class_files.pl
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-15 09:55 UTC by Martin Renvoize
Modified: 2020-08-03 23:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03


Attachments
Bug 25511: Add --force option to update_dbix_class_files.pl (1.43 KB, patch)
2020-05-15 09:56 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25511: Add --force option to update_dbix_class_files.pl (1.48 KB, patch)
2020-05-15 10:05 UTC, Ere Maijala
Details | Diff | Splinter Review
Bug 25511: Add --force option to update_dbix_class_files.pl (1.54 KB, patch)
2020-07-03 10:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 25511: Add POD for --force (1.09 KB, patch)
2020-07-20 14:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-05-15 09:55:41 UTC
Sometimes, if you know what you are doing, you may want to force a schema overwrite regardless of whether the hashes report there are changes above the fold.

In these cases, we should expose said functionality via a --force option on the script.

WARNING: Use this at your own risk.. it's helpful if you are maintaining a fork or in other such cases. You should always attempt to run the script without force first and only resort to using force if that fails. It is also very much worthwhile checking the diff after running with force to ensure you have not resulted in any unexpected changes.
Comment 1 Martin Renvoize 2020-05-15 09:56:57 UTC
Created attachment 104926 [details] [review]
Bug 25511: Add --force option to update_dbix_class_files.pl

This adds a --force option to the aforementioned script allowing those
in the know to overwrite the schema when changes above the found are
detected.
Comment 2 Ere Maijala 2020-05-15 10:05:50 UTC
Created attachment 104927 [details] [review]
Bug 25511: Add --force option to update_dbix_class_files.pl

This adds a --force option to the aforementioned script allowing those
in the know to overwrite the schema when changes above the found are
detected.

Signed-off-by: Ere Maijala <ere.maijala@helsinki.fi>
Comment 3 Katrin Fischer 2020-06-01 21:39:37 UTC
Is 19.11 correct here?
Comment 4 Julian Maurice 2020-07-03 10:47:17 UTC
Created attachment 106495 [details] [review]
Bug 25511: Add --force option to update_dbix_class_files.pl

This adds a --force option to the aforementioned script allowing those
in the know to overwrite the schema when changes above the found are
detected.

Signed-off-by: Ere Maijala <ere.maijala@helsinki.fi>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 5 Jonathan Druart 2020-07-20 14:58:00 UTC
Created attachment 107110 [details] [review]
Bug 25511: Add POD for --force
Comment 6 Jonathan Druart 2020-07-20 15:48:51 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 7 Lucas Gass 2020-07-27 17:31:55 UTC
backported to 20.05.x for 20.05.03
Comment 8 Aleisha Amohia 2020-08-03 23:23:44 UTC
enhancement, not backported to 19.11.x